# stdex: stdex::parser::http_line_break Class Reference

Loading...
Searching...
No Matches
stdex::parser::http_line_break Class Reference

Test for HTTP line break (RFC2616: CRLF | LF) More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::http_line_break:

## Protected Member Functions

virtual bool | do_match (_In_reads_or_z_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
Protected Member Functions inherited from stdex::parser::basic_parser< char >
virtual bool | do_match (_In_reads_or_z_opt_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)=0

## Additional Inherited Members

Public Member Functions inherited from stdex::parser::basic_parser< char >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_opt_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (_In_reads_or_z_opt_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (const std::basic_string_view< char, std::char_traits< char > > text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
virtual void | invalidate ()
Public Attributes inherited from stdex::parser::basic_parser< char >
stdex::interval< size_t > | interval
| Region of the last match.
Protected Attributes inherited from stdex::parser::basic_parser< char >
std::locale | m_locale

## Detailed Description

Test for HTTP line break (RFC2616: CRLF | LF)

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp